Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding
Interface ScaffoldResponseHandler

All Known Implementing Classes:
  TemplateGeneratingResponseHandler

    public interface ScaffoldResponseHandler

An interface defining methods to handle responses. Implementors of this interface are responsible for transforming the model into an appropriate ModelAndView instance or writing directly to the response

Since:
  0.1 Created: 30 Nov 2005
Author:
  Graeme Rocher

Method Summary
`ModelAndView` | `handleResponse(HttpServletRequest request, HttpServletResponse response, String actionName, Map model)` Creates the response for a Scaffolded model and optionally returns a ModelAndView instance
`void` | `setViewResolver(ViewResolver resolver)` An optional ViewResolver instance for resolving views if not writing directly to the response

Method Detail

### handleResponse

    ModelAndView handleResponse(HttpServletRequest request,
                                HttpServletResponse response,
                                String actionName,
                                Map model)

  Creates the response for a Scaffolded model and optionally returns a ModelAndView instance

  Parameters:
    `request` - The HttpServletRequest instance
    `response` - The HttpServletResponse instance
    `model` - The model to render
    `actionName` - The name of the action be handled
  Returns:
    A ModelAndView or null if writing directly to the response

### setViewResolver

    void setViewResolver(ViewResolver resolver)

  An optional ViewResolver instance for resolving views if not writing directly to the response

  Parameters:
    `resolver` - The ViewResolver instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project